////////////////////////////////////////////////////////////////
// MKTECH - Technophobia by Killer
// Almost all of these shaders are copied from the original
// LunBase shader (http://lunaran.fragland.net)
////////////////////////////////////////////////////////////////
textures/mktech/floor1
{	surfaceparm	metalsteps
{	map $lightmap
	rgbGen identity	}
{	map textures/mktech/floor1.tga
	blendFunc GL_DST_COLOR GL_ZERO	}	}

textures/mktech/floor2
{	surfaceparm	metalsteps
{	map $lightmap
	rgbGen identity	}
{	map textures/mktech/floor2.tga
	blendFunc GL_DST_COLOR GL_ZERO	}	}

textures/mktech/onyx
{	surfaceparm	metalsteps
{	map $lightmap
	rgbGen identity	}
{	map textures/mktech/onyx.tga
	blendFunc GL_DST_COLOR GL_ZERO	}	}
	
textures/mktech/jaildrblue
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_lightimage textures/mktech/jaildrpulse1.tga
	q3map_surfacelight 900
	q3map_lightsubdivide 32
	{
		map textures/mktech/jaildr.tga
		rgbGen identity
	}
	{
		map textures/mktech/jaildrglow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inversesawtooth 0.5 0.5 0 0.5
	}
}

textures/mktech/jaildrwhite
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 1250
	q3map_lightsubdivide 32
	{
		map textures/mktech/jaildrwhite.tga
		rgbGen identity
	}
	{
		map textures/mktech/jaildrwhiteglow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inversesawtooth 0.5 0.5 0 0.5
	}
}

textures/mktech/jaildrwhite_10k
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightsubdivide 32
	qer_editorimage textures/mktech/jaildrwhite.tga
	{
		map textures/mktech/jaildrwhite.tga
		rgbGen identity
	}
	{
		map textures/mktech/jaildrwhiteglow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inversesawtooth 0.5 0.5 0 0.5
	}
}

textures/mktech/onyxliteblu_2k
{
	surfaceparm nodlight
	q3map_surfacelight 2000
	q3map_lightimage textures/mktech/onyxlitebluglow.tga
	qer_editorimage textures/mktech/onyxliteblu.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/mktech/onyxliteblu.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/mktech/onyxlitebluglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/mktech/jumppad2
{
	surfaceparm	metalsteps
	surfaceparm nodamage
	{
		clampmap textures/mktech/jumppadring.tga
		tcMod stretch sawtooth 0.25 4.5 0 1.5
		rgbGen identity
	}
	{
		map textures/mktech/jumppad2.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		clampmap textures/mktech/jumppadswirl.tga
		tcMod rotate 180
		blendFunc GL_ONE GL_ONE
	}
}

textures/mktech/onyxsupport3dim
{
	qer_editorimage textures/mktech/onyxsupport3.tga
	q3map_surfacelight 700
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mktech/onyxsupport3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/mktech/onyxsupport3glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mktech/onyxtele
{
	q3map_lightimage textures/mktech/teleport2.tga
	q3map_surfacelight 450
	{
		map textures/mktech/teleport2.tga
		tcMod scroll -0.02 -1
	}
	{
		map textures/mktech/onyxtele.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/mktech/onyxteleglow.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0 -1
	}
}

textures/mktech/tekfloor1
{
	surfaceparm	metalsteps
	{
		map textures/mktech/tekfloor1glow.tga
		tcMod scale 0.5 0.5
		tcMod scroll 1 0
	}
	{
		map textures/mktech/tekfloor1.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mktech/tekfloor3
{
	surfaceparm	metalsteps
	{
		map textures/mktech/tekfloor1glow.tga
		tcMod scale 0.5 0.5
		tcMod scroll 1 0
	}
	{
		map textures/mktech/tekfloor3.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mktech/teleport
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
	q3map_surfacelight 750
	tesssize 64
	{
		map textures/mktech/teleport.tga
		tcMod scroll -0.02 0.5
		tcMod turb 0 .12 0 0.333
	}
	{
		map textures/mktech/teleport.tga
		tcMod scroll 0.01 -0.5
		tcMod turb 0 .12 0 0.333
		blendFunc GL_ONE GL_ONE
	}
}

textures/mktech/ceil1_lun_10k
{
	surfaceparm nodlight
	q3map_surfacelight 10000
	q3map_lightimage textures/mktech/ceil1_lunglow.tga
	qer_editorimage textures/mktech/ceil1_lun.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/mktech/ceil1_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/mktech/ceil1_lunglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/mktech/ceil2_lun_20k
{
	surfaceparm nodlight
	q3map_surfacelight 20000
	q3map_lightimage textures/mktech/ceil2_lunglow.tga
	qer_editorimage textures/mktech/ceil2_lun.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/mktech/ceil2_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/mktech/ceil2_lunglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/mktech/pillar3_1shiny
{
	qer_editorimage textures/mktech/pillar3_1.tga
	{
		map textures/effects/tinfx2.tga
		tcGen environment
	}
	{
		map textures/mktech/pillar3_1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mktech/pillar3_2shiny
{
	qer_editorimage textures/mktech/pillar3_2.tga
	{
		map textures/effects/tinfx2.tga
		tcGen environment
	}
	{
		map textures/mktech/pillar3_2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mktech/mktech_logo_shiny
{
	qer_editorimage textures/mktech/mktech_logo.tga
	{
		map textures/effects/tinfx2.tga
		tcGen environment
	}
	{
		map textures/mktech/mktech_logo.tga
		blendFunc GL_ONE GL_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mktech/lglass
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.6
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/effects/tinfx2.tga
		blendFunc GL_ONE GL_ONE
		tcGen environment
	}
}

textures/mktech/sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/mktech/ik_sky_dawn_back.tga
	q3map_lightimage textures/mktech/ik_sky_dawn_back.tga
	q3map_surfacelight 500
	skyparms - 512 -
	{
		map textures/mktech/ik_sky_dawn_back.tga
		tcMod scale 2 2
		tcMod scroll 0.01 0.01
		depthWrite
	}
	{
		map textures/mktech/ik_sky_dawn_front.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.02 0.02
	}
}
